package com.swago.baseswago.cusview

import android.content.Context
import android.graphics.Typeface
import android.util.AttributeSet
import com.swago.baseswago.util.AppContext

/**
 *@date 2022/3/10 21:17
 *description:
 */
class RegularTextView :  androidx.appcompat.widget.AppCompatTextView {

    constructor(context: Context) : this(context, null)
    constructor(context: Context, attrs: AttributeSet?) : this(context, attrs, 0)

    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) : super(
        context,
        attrs,
        defStyleAttr
    ){
        initView()
    }

    private fun initView() {
        typeface = Typeface.createFromAsset(AppContext.getContext().assets,"regular.otf")
    }


}